package com.zhongshu.card.server.core.event;

import lombok.Getter;
import org.springframework.context.ApplicationEvent;

import java.util.ArrayList;
import java.util.List;

/**
 * @author TRX
 * @date 2024/6/26
 */
public class ProjectSyncEvent extends ApplicationEvent {

    @Getter
    private List<String> projectOIds = new ArrayList<String>();

    public ProjectSyncEvent(Object source, List<String> projectOIds) {
        super(source);
        this.projectOIds = projectOIds;
    }
}
